from django.urls import path
from . import views,inscription_views,scolarite_pdf_views
from django.contrib.auth.views import LogoutView
from django.views.generic import TemplateView

app_name = 'Scolarite'
urlpatterns = [
    path('ags_home/', views.ags_home, name="ags_home"),
    path('doc_preview/<int:id>/<int:typdoc>/', views.doc_preview, name="doc_preview"),

    # INSCRIPTION NOUVEAUX ETUDIANTS
    path('ags_inscrption_list/', views.ags_inscrption_list, name="ags_inscrption_list"),
    path('ags_inscrits_list/', views.ags_inscrits_list, name="ags_inscrits_list"),
    path('ags_prevu_list/', views.ags_prevu_list, name="ags_prevu_list"),
    path('ags_inscrption_agree/<int:id>/', views.ags_inscrption_agree, name="ags_inscrption_agree"),

    # REINSCRIPTION ANCIENS ETUDIANTS
    path('ags_reinscrption_list/', views.ags_reinscrption_list, name="ags_reinscrption_list"),
    path('ags_reinscrption_check/<int:id>/', views.ags_reinscrption_check, name="ags_reinscrption_check"),

    # PDF
    path('document_pdf_view/<int:id>/<int:typdoc>/', scolarite_pdf_views.document_pdf_view, name="document_pdf_view"),
    path('fiches_et_recus_pdf/<int:id>/', scolarite_pdf_views.fiches_et_recus_pdf, name="fiches_et_recus_pdf"),
    path('fiche_scolarite/<int:id>/', scolarite_pdf_views.fiche_scolarite, name="fiche_scolarite"),
    path('releve_de_note/<int:id>/<int:an>/', scolarite_pdf_views.releve_de_note, name="releve_de_note"),
    path('certificat_scolarite/<int:id>/<int:an>/', scolarite_pdf_views.certificat_scolarite, name="certificat_scolarite"),
    path('releve_de_note_semestre/<int:id>/<int:an>/<int:sem>/', scolarite_pdf_views.releve_de_note_semestre, name="releve_de_note_semestre"),


    # INSCRIPTION
    path('preinscription/', inscription_views.preinscription_home, name="preinscription_home"),
    path('register/', inscription_views.register, name="register"),
    path('ins_login/', inscription_views.ins_login, name="ins_login"),
    path('ins_logout/', inscription_views.ins_logout, name="ins_logout"),
    path('inscription_profile_home/', inscription_views.inscription_profile_home, name="inscription_profile_home"),
    path('edit_profil/<int:id>/', inscription_views.edit_profil, name="edit_profil"),
    path('add_photo/', inscription_views.add_photo, name="add_photo"),

    # PV
    path('ags_pv_list/', views.ags_pv_list, name="ags_pv_list"),
    path('pdf_display/<int:id>/', views.pdf_display, name="pdf_display"),
    path('demande_list/', views.demande_list, name="demande_list"),

]